#!/bin/bash

fails=0 
skips=0 
processed=0 
failbench="" 

PSEXES=`ls *exe`

for name in $PSEXES ; do
	file $name |grep "x86-64" > /dev/null 2>&1 
	if [ $? == 0  ]; then
		echo "Skipping 32-bit analysis of 64-bit exe"	
		skips=$(expr $skips + 1);
	else
		processed=$(expr $processed + 1);
		$SMPSA_HOME/tests/scripts/UpdateSMP32.sh $name
		if [ $? -ne 0 ] ; then
			fails=$(expr $fails + 1);
			failbench="$failbench $name"
		fi
	fi
done

echo "------------------------------------------------" |tee regress32.log
echo "Skips recorded: $skips" |tee -a regress32.log

if [ $fails -eq 0 ]; then
	echo "SUCCESS: No failures found!" |tee -a regress32.log
	echo "Tests Processed: $processed" |tee -a regress32.log
	echo "------------------------------------------------" |tee -a regress32.log
	exit 0
else
	echo "FAILURES FOUND ************************* " |tee -a regress32.log
	echo "Tests Processed: $processed" |tee -a regress32.log
	echo "Number of failures: $fails" |tee -a regress32.log
	echo "Failing benchmarks: $failbench" |tee -a regress32.log
	echo "------------------------------------------------" |tee -a regress32.log
	exit 1
fi

